Bug 1118099 - The storage cluster maintenance job schedule needs to be configurable
Summary: The storage cluster maintenance job schedule needs to be configurable
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, Storage Node
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: JON 3.4.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1118098
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 02:01 UTC by John Sanda
Modified: 2019-02-14 16:09 UTC (History)
6 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of: 1118098
Environment:
Last Closed: 2019-02-14 16:09:32 UTC
Type: Enhancement


Attachments (Terms of Use)

Description John Sanda 2014-07-10 02:01:03 UTC
+++ This bug was initially created as a clone of Bug #1118098 +++

Description of problem:
There is a Quartz job, StorageClusterReadRepairJob, that performs weekly cluster maintenance. It generates snapshots on each node, and runs anti-entropy repair on each node. The job is scheduled to run at 12:30 AM every Sunday. The schedule is not configurable. This can be problematic for some users because it might conflict with other maintenance windows where the RHQ server is restarted. 12:30 AM Sunday might be fine for a default, but it needs to be configurable so that users have the ability to configure to run during off-peak hours, whenever that might be.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jay Shaughnessy 2014-07-24 14:03:08 UTC
Note - as I understand it, this whole job may go away with the introduction of a new workflow mechanism for storage cluster updates. So, no one should likely do this until it's determined whether it's necessary.

Comment 2 Filip Brychta 2019-02-14 16:09:32 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.